Page 1 of 1

Could not start openmvide on raspberry pi

Posted: Fri May 17, 2019 5:07 pm
by mli
Hi,

I just installed Qt5 and Qtcreator and then downloaded the OpenMV IDE from the website for Raspberripi 3. I followed the procedure provided by the README.txt in the openmv folder but get this error message after I execute the openmvide.sh----

This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, xcb.

Reinstalling the application may fix this problem.
Aborted

Does anybody have idea for this error. Thank you in advance

max

Re: Could not start openmvide on raspberry pi

Posted: Sun May 19, 2019 4:11 pm
by iabdalkader
Hi,

Could you try running the IDE from the terminal ?

Re: Could not start openmvide on raspberry pi

Posted: Mon May 20, 2019 1:17 am
by kwagyeman
Did you run the setup.sh? The xcb plugin backend is installed by that.

Re: Could not start openmvide on raspberry pi

Posted: Mon May 20, 2019 2:02 pm
by mli
Yes. It did. I tried to run on the terminal. I tried to run the executable file and the .sh both and the results are the same.

I did run the setup.sh before I run the executable file. I did install the Qt and Qt creator before I run the setup.sh.

By the way, the OpenMV runs on my Ubuntu computer. That is a great relief for me. But I hope it can be run on Raspberry PI.

Again, Thanks for your help!

Re: Could not start openmvide on raspberry pi

Posted: Mon May 20, 2019 2:42 pm
by kwagyeman
Hi, yeah, I can't reproduce a lot of the issues folks have on the Pi. Are you running raspbian? I've run the IDE on the default raspbian image, completely clean, no updates installed. And it works. I understand there are a lot of OSes you can install on the Pi however. I guess I could test the other OSes. That said, my time is really rather limited. I could use help in this regard and knowing what libraries are missing.

Re: Could not start openmvide on raspberry pi

Posted: Thu May 23, 2019 4:50 am
by vannoolouis
I have a similar problem. When executing the setup.sh, it returns : "E: Impossible to get the lock /var/lib/dpkg/lock ..."
How could I fix this ?

Re: Could not start openmvide on raspberry pi

Posted: Thu May 23, 2019 10:25 am
by kwagyeman
Hi, that would imply your package manager is broken. In that situation... your operating system is seriously unstable. I would Google that particular error and look for a solution.

Re: Could not start openmvide on raspberry pi

Posted: Fri Jun 28, 2019 2:58 am
by calocedrus
kwagyeman wrote:
Mon May 20, 2019 2:42 pm
I can't reproduce a lot of the issues folks have on the Pi. Are you running raspbian?
I have the problem mentioned above, on raspbian. Things is that raspbian is now "BUSTER", which version are you using to successfully run the IDE?
kwagyeman wrote: I could use help in this regard and knowing what libraries are missing.
I might have located the culprit:

Code: Select all

libts-0.0.so.0
is listed as not found when I run

Code: Select all

ldd libqxcb.so
from the Qt/plugins/platforms folder of openmvide.
Could you try to run the same ldd libqxcb.so and tell me if you see libts-0.0.s0.0 and where it links to?

The problem is that the corresponding library, libts-0.0-0, is not to be found any more anywhere in debian (let alone raspbian), it seems deprecated; so apt-get install libts-0* fails to find any candidate.

Re: Could not start openmvide on raspberry pi

Posted: Sat Jun 29, 2019 1:07 pm
by kwagyeman
Could you send me your OS image via drop box or something like that? Then I can reproduce it and fix it.